Public Member Functions
HardwareSurface::Options Class Reference

## Detailed Description

This class represents the options used for creating HardwareSurface objects.

See also:
  HardwareSurface

Since:
  9.0 (2011)

`#include <xsi_hardwaresurface.h>`

List of all members.

## Public Member Functions
| Options ()
| ~Options ()
CStatus | PutFormat (const CString &in_format)
CStatus | PutWidth (UINT in_nWidth)
CStatus | PutHeight (UINT in_nHeight)
CStatus | PutGraphicDriver (siGraphicDriver in_eGraphicDriver)
CStatus | PutSharing (siResourceSharing in_eShareCap)
CStatus | PutDimension (siHardwareSurfaceDimension in_eDimension)

## Constructor & Destructor Documentation

Options | ( |  | ) |

Constructor.

~Options | ( |  | ) |

Destructor.

## Member Function Documentation

CStatus PutFormat | ( | const CString & | in_format | ) |

Set the new hardware surface format according to the values defined in D3DFORMAT. The list of supported formats is the following:

"R8G8B8" "A8R8G8B8" "X8R8G8B8" "R5G6B5" "X1R5G5B5" "A1R5G5B5" "A4R4G4B4" "R3G3B2" "A8" "A8R3G3B2" "X4R4G4B4" "A2B10G10R10" "A8B8G8R8" "X8B8G8R8" "A2R10G10B10" "A16B16G16R16" "A32B32G32R32F" "A16B16G16R16F" "D16" "D32" "D15S1" "D24S8" "D24S8_SHADOWMAP" "D24X8"

The default format is "A8R8G8B8".

Parameters:

  in_format | Surface format as defined by D3DFORMAT.

Returns:
  CStatus::OK Success

CStatus PutWidth | ( | UINT | in_nWidth | ) |

Set the width of the new hardware shader surface.

Parameters:

  in_nWidth | Display surface width.

Returns:
  CStatus::OK Success.

CStatus PutHeight | ( | UINT | in_nHeight | ) |

Set the height of the new hardware shader surface.

Parameters:

  in_nHeight | Display surface height.

Returns:
  CStatus::OK Success.

CStatus PutGraphicDriver | ( | siGraphicDriver | in_eGraphicDriver | ) |

Set the graphic driver type for the new hardware shader surface.

Parameters:

  in_eGraphicDriver | Graphic driver type. Defaults to siOpenGL20.

Returns:
  CStatus::OK Success.

CStatus PutSharing | ( | siResourceSharing | in_eShareCap | ) |

Set the resource sharing type for the new hardware shader surface.

Parameters:

  in_eShareCap | Resource sharing capability. Defaults to siSharedResource.

Returns:
  CStatus::OK Success.

CStatus PutDimension | ( | siHardwareSurfaceDimension | in_eDimension | ) |

Set the dimension of the new hardware shader surface.

Parameters:

  in_eDimension | Dimension type. Defaults to siDefaultDimension.

Returns:
  CStatus::OK Success.

The documentation for this class was generated from the following file:

- xsi_hardwaresurface.h